Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.task.event.entity
Class TaskEvent

    java.lang.Object
      org.jbpm.task.event.entity.TaskEvent

All Implemented Interfaces:
  Externalizable, Serializable

Direct Known Subclasses:
  TaskUserEvent

    @Entity
    public abstract class TaskEvent

extends Object
implements Externalizable

See Also:
  Serialized Form

Field Summary
`protected Date` | `eventTime`
`protected int` | `sessionId`
`protected Long` | `taskId`
`protected String` | `userId`

Constructor Summary
`TaskEvent()`
`TaskEvent(long taskId, int sessionId)`
`TaskEvent(long taskId, String userId, int sessionId)`

Method Summary
`Date` | `getEventTime()`
`Long` | `getId()`
`int` | `getSessionId()`
`TaskEventType` | `getTaskEventType()`
`long` | `getTaskId()`
`String` | `getType()`
`void` | `readExternal(ObjectInput in)`
`void` | `setSessionId(int sessionId)`
`void` | `writeExternal(ObjectOutput out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### taskId

    protected Long taskId

### eventTime

    protected Date eventTime

### userId

    protected String userId

### sessionId

    protected int sessionId

Constructor Detail

### TaskEvent

    public TaskEvent()

### TaskEvent

    public TaskEvent(long taskId,
                     int sessionId)

### TaskEvent

    public TaskEvent(long taskId,
                     String userId,
                     int sessionId)

Method Detail

### writeExternal

    public final void writeExternal(ObjectOutput out)
                             throws IOException

  Specified by:
    `writeExternal` in interface `Externalizable`
  Throws:
    `IOException`

### readExternal

    public final void readExternal(ObjectInput in)
                            throws IOException,
                                   ClassNotFoundException

  Specified by:
    `readExternal` in interface `Externalizable`
  Throws:
    `IOException`
    `ClassNotFoundException`

### getTaskId

    public long getTaskId()

### getId

    public Long getId()

### getEventTime

    public Date getEventTime()

### getType

    public String getType()

### getTaskEventType

    public TaskEventType getTaskEventType()

### getSessionId

    public int getSessionId()

### setSessionId

    public void setSessionId(int sessionId)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.